Bug 696481 - ibus does not show all the variant maps for any layout
ibus does not show all the variant maps for any layout
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 02:33 EDT by Parag Nemade
Modified: 2011-05-27 16:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.3.99.20110408-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-22 23:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2011-04-14 02:33:04 EDT
Description of problem:
For Indic xkb maps, say for Tamil, we have 5 xkb maps but only one is shown in ibus-setup.

Version-Release number of selected component (if applicable):
ibus-1.3.99.20110228-6.fc15

How reproducible:
always

Steps to Reproduce:
1. use ibus-setup and check for Tamil xkb keymaps
2.
3.
  
Actual results:
Only one keymap is shown

Expected results:
should show all the 5 xkb keymaps

Additional info:
Comment 1 fujiwara 2011-04-14 02:59:27 EDT
--- /usr/share/ibus/setup/xkbsetup.py.orig	2011-04-13 17:42:54.461168302 +0900
+++ /usr/share/ibus/setup/xkbsetup.py	2011-04-14 15:56:47.534005308 +0900
@@ -71,9 +71,9 @@ class XKBSetup(gobject.GObject):
         layout_lang = xkbconfig.get_layout_lang()
         variant_desc = xkbconfig.get_variant_desc()
         for layout in layout_list.keys():
-            if layout not in layout_lang:
-                continue
-            langs = layout_lang[layout]
+            langs = []
+            if layout in layout_lang:
+                langs = layout_lang[layout]
             for lang in langs:
                 engine = ibus.XKBConfigRegistry.engine_desc_new(
                     lang,
Comment 3 Fedora Update System 2011-04-20 00:32:08 EDT
ibus-1.3.99.20110408-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110408-2.fc15
Comment 4 Fedora Update System 2011-04-20 23:00:06 EDT
Package ibus-1.3.99.20110408-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.3.99.20110408-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110408-2.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-04-22 23:57:13 EDT
ibus-1.3.99.20110408-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-05-25 23:57:40 EDT
ibus-1.3.9-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-1.3.9-4.fc14
Comment 7 Fedora Update System 2011-05-27 16:22:04 EDT
ibus-1.3.9-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.